# coding: utf-8

"""
    interactive::game_manager

    This will decide the next player and validate actions from other players  # noqa: E501

    The version of the OpenAPI document: 0.0.1
    Contact: yoogottam.khandelwal@students.iiit.ac.in
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import manager_client
from manager_client.models.inline_object2 import InlineObject2  # noqa: E501
from manager_client.rest import ApiException

class TestInlineObject2(unittest.TestCase):
    """InlineObject2 unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test InlineObject2
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = manager_client.models.inline_object2.InlineObject2()  # noqa: E501
        if include_optional :
            return InlineObject2(
                player = {"id":1,"name":"player1"}
            )
        else :
            return InlineObject2(
        )

    def testInlineObject2(self):
        """Test InlineObject2"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)

if __name__ == '__main__':
    unittest.main()
